Home > Blogs > VMware vSphere Blog


Updated: What you need to know before upgrading to vSphere Replication 5.5

Original title: Do *NOT* Install vSphere Replication 5.5 onto your 5.1 environment yet!

*** Sep 23 2013 update:

This problem is now not as critical since vCenter 5.5 has been released.  Please do ensure that your vCenter Server is upgraded first before upgrading vSphere Replication though!  The supported upgrade path for VR is to download the ISO from the website and upgrade via mounted ISO in the virtual appliance management interface.

Moreover, please ensure the auto-update feature is turned off in the VAMI of the vSphere Replication appliances and that you are not auto-updating vSphere Appliances in VUM.

There is a further knowledge base article dealing with the upgrade and how to resolve an issue if your VMware Update Manager instance is trying to download the 5.5 appliance and has hung.  Please see KB Article 2060339

This article is no longer valid, but the concept still remains the same and the post will remain, slightly edited for clarity.  *Always* ensure that your vCenter Server is upgraded before anything else.  GSS now has a fix for anyone who may have been impacted, and vCenter Server 5.5 is now available as well, so the correct procedure is the same as it always has been – Upgrade VC, then VR (and possibly SRM if you’re using it), and then your hosts.

End of Edit ***

Original text (slightly amended):

Due to a mistake involving automated systems, vSphere Replication 5.5 has been published in VUM catalogs and the VAMI upgrade within the VR appliances.

This is an error, and a very critical one, so please do not upgrade your VR appliances to 5.5 at this time until vCenter Server has been upgraded to 5.5.
VR 5.5 requires vCenter 5.5 which is not yet available, and this will actually break your replication and the upgrade is irreversible. It will require you to re-install VR 5.1 and redo your replications from scratch.  Please note this will not stop the replications that are already configured but will keep you from managing the existing, or configuring new replication.

Please do not install VR 5.5 yet!  Please see KB Article 2060190 for details.

If you have automatic updates put in place, and your VR appliances have already updated, please contact support for assistance.

To avoid this issue, please ensure the auto-update feature is turned off in the VAMI of the vSphere Replication appliances and that you are not auto-updating vSphere Appliances in VUM.

Again, turn off auto-update in the VAMI and VUM to avoid this problem, but if your VR infrastructure has already been updated before vCenter Server, please get in touch with our Global Support Services right away.